set theproc sht_line

proc init_$theproc {} {
    global accum_type hits_type hist_type
    set accum_type bitmap
    set hits_type none
    set hist_type none
    complain "Standard, Classic Hough Transform (SHT)\n for lines."
}

proc do_$theproc {w} {
    global theproc edpic tformdir picdir plotparm tmpdir tmp_filesuffix
    global num_max minseglen maxsegwidth maxseggap noise

    set blabber [exec "$tformdir/$theproc" \
	-m $num_max -l $minseglen -w $maxsegwidth -g $maxseggap -n $noise \
	-a$tmpdir/accu$tmp_filesuffix -P $tmpdir/points$tmp_filesuffix \
	-i < "$picdir/$edpic" ]

    $w config -state normal
    $w delete 1.0 end
    $w insert end "$blabber"
    $w config -state disabled
}

