# config

# a demo picture
set demopic tkhough.pgm

# the initial picture directory
set picdir $ht_libdir/pics

# the initial images in the display
set inpic $demopic
set edpic tkhough_edge.pgm

# tmp file location- should probably be on a local disk
set tmpdir /tmp

# tmp file suffix- shouldn't really need to change this
set tmp_filesuffix .tkhough[pid]

# the default transform program
set theproc sht_line

# default transform program directory
set tformdir $ht_libdir/bin

set tforms [list aht_line cfht_line cht_line dcht_line drht_line \
            probht_line rht_line rwrht_line sht_line wrht_line]

# set tforms [list aht_line cfht_line cht_line dcht_line drht_line \
# probht_line rht_line rwrht_line sht_line wrht_line]

# subdisplay size (images, lines) (integer)
set w_size 200

# color of "complete" lines
set line_color red

# default display of lines, segments
set show_lines 1
set show_segments 1

# cheap gamma correction of sht accumulator
set gamma_accu 2.0

# font, color used for axes
set ax_font -Adobe-Helvetica-Medium-R-Normal--*-120-*-*-*-*-*-*
set ax_color blue

# end of config
